CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] Problems with OpenFOAM 5 installation from Deb package on Ubuntu 17.10

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes
  • 1 Post By alexeym

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   October 22, 2017, 04:51
Default Problems with OpenFOAM 5 installation from Deb package on Ubuntu 17.10
  #1
New Member
 
Join Date: Oct 2017
Posts: 1
Rep Power: 0
bgokoglu is on a distinguished road
I have been trying to install OpenFOAM to linux using terminal. However, I get an error after the second step.

berk@berk-VirtualBox:~$ sudo add-apt-repository http://dl.openfoam.org/ubuntu
[sudo] password for berk:
Sorry, try again.
[sudo] password for berk:
berk@berk-VirtualBox:~$ sudo apt-get update
Hit:1 http://security.ubuntu.com/ubuntu artful-security InRelease
Hit:2 http://cy.archive.ubuntu.com/ubuntu artful InRelease
Ign:3 http://dl.openfoam.org/ubuntu artful InRelease
Err:4 http://dl.openfoam.org/ubuntu artful Release
404 Not Found
Get:5 http://cy.archive.ubuntu.com/ubuntu artful-updates InRelease [65,4 kB]
Hit:6 http://cy.archive.ubuntu.com/ubuntu artful-backports InRelease
Reading package lists... Done
E: The repository 'http://dl.openfoam.org/ubuntu artful Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
bgokoglu is offline   Reply With Quote

Old   October 22, 2017, 12:01
Default
  #2
Senior Member
 
Alexey Matveichev
Join Date: Aug 2011
Location: Nancy, France
Posts: 1,922
Rep Power: 34
alexeym has a spectacular aura aboutalexeym has a spectacular aura about
Send a message via Skype™ to alexeym
Hi,

Citing https://openfoam.org/version/5-0/:

Code:
Ubuntu Linux: packaged installation for Ubuntu 14.04, 16.04 and 17.04;
artful is 17.10. Compile OpenFOAM from sources, wait for packages for 17.10, downgrade to supported Ubuntu version.
wyldckat likes this.
alexeym is offline   Reply With Quote

Old   November 1, 2017, 15:25
Default
  #3
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,956
Blog Entries: 43
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Quick note: Deb packages for OpenFOAM 5 have been released on the 30th of October 2017: https://openfoam.org/news/v5-0-patch/

It's not identified as "OpenFOAM 5.1", but it sort-of is OpenFOAM 5.1.
__________________
wyldckat is offline   Reply With Quote

Reply

Tags
installation

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Map of the OpenFOAM Forum - Understanding where to post your questions! wyldckat OpenFOAM 9 March 30, 2017 05:19
[OpenFOAM.org] Building OpenFOAM 3.0.1 on Ubuntu 16.04 - failed erico OpenFOAM Installation 30 February 2, 2017 09:24
[foam-extend.org] problems with openFoam extend 3.0 installation AmirBaqa1987 OpenFOAM Installation 1 December 20, 2016 19:17
[OpenFOAM.org] Problems installing OpenFOAM 2.3.0 on Ubuntu 12.04 arieljeds OpenFOAM Installation 6 August 19, 2015 07:39
Error in apt-get update for installation of OpenFoam 1.7.1 on Ubuntu 10.10 StuntedChicken OpenFOAM Installation 1 January 9, 2011 10:43


All times are GMT -4. The time now is 20:02.